function initGAnalytics() {
    var gaItems,
        gaAttributeName = 'target-analitic';

    function _gaForEach (array, callback, scope) {
        for (var i = 0; i < array.length; i++) {
            callback.call(scope, i, array[i]);
        }
    }

    function _gaAddEvent(elem, event, fn) {
        if (elem.addEventListener) {
            elem.addEventListener(event, fn, false);
        } else {
            elem.attachEvent("on" + event, function() {
                return(fn.call(elem, window.event));
            });
        }
    }

    if ( document.querySelectorAll ) {
        gaItems = document.querySelectorAll('[' + gaAttributeName + ']');
    } else if ( jQuery ) {
        gaItems = jQuery('[' + gaAttributeName + ']');
    } else {
        function getElementsByAttribute(attribute, context) {
            var nodeList = (context || document).getElementsByTagName('*');
            var nodeArray = [];
            var iterator = 0;
            var node = null;

            while (node = nodeList[iterator++]) {
                if (node.getAttribute(attribute)) nodeArray.push(node);
            }

            return nodeArray;
        }
        gaItems = getElementsByAttribute(gaAttributeName);
    }

    _gaForEach(gaItems, function (index, gaItem) {
        _gaAddEvent(gaItem, 'click',
            function(e) {
                var target = e.target || e.srcElement || window.event.target || window.event.srcElement;
                while (target.getAttribute && !target.getAttribute(gaAttributeName) ) {
                    target = target.parentNode;
                }
                if (target.getAttribute) {
                    var action = target.getAttribute(gaAttributeName);

                    if ( typeof ga == 'function' ) {
                        switch (action) {
                            /*case 'cta':
                             ga('send', 'event', 'user', 'click', 'cta');
                             break;*/
                            default:
                                ga('send', 'event', 'user', 'click', action);
                                break;
                        }
                    }
                }
                return true;
            }
        );
    });
}
if ( jQuery ) {
    jQuery(function(){
        initGAnalytics();
    });
} else {
    window.onload = function() {
        initGAnalytics();
    };
}